List all available APIs to get and create Score and Analysis for businesses.
Each request must be set with an Authorization header using a Bearer JSON Web Token after authenticating with your client credentials.
Authentication
Algoan provides JSON Web Tokens based on the OAuth2 protocol to authenticate your organization.
When you create a new project, you will need to use the service account shared by Algoan containing a client_id and a client_secret.
NOTE: this is the only API where request's parameters are formatted as snake case.
Create a new access token
Generates a new access token to use Algoan's APIs
OAuth2 request body with two grant types - client_credentials and refresh_token
| object | object | Auth request body to generate a new access token | |
| client | string | Your client ID | |
| client | uuid | Your client secret | |
| grant | string | Specify the type of grant access Enum: |
curl --request POST \ --url 'https://api.algoan.com/v1/oauth/token'Access Token instance
| object | object | ||
| access | string | The access token required for each API. | |
| expires | number | Number of seconds until the access token expires | |
| refresh | number | Number of seconds until the refresh token expires | |
| refresh | string | Refresh token used to generate a new access token | |
| token | string | Type of access token (will always be set to |
Bad request, invalid input parameters
{ "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCIgOiAiSldUIi...5jUKEv5KyzShp5pqg", "expires_in": 86400, "refresh_expires_in": 864000, "refresh_token": "eyJhbGciOiJIUzI1NiIsInR5...fsWGA82PQC_6OXoyU4", "token_type": "Bearer"}Business
represents a business able to connect/aggregate their bank accounts. It is unique per organization, project and custom identifier.
Find a list of businesses
curl --get \ --url 'https://api.algoan.com/v2/businesses' \ --header 'Authorization: Bearer {token}'OK
| object | object | ||
| resources | array | ||
| id | string | Id of the customer | |
| customIdentifier | string | A custom identifier that will be attached to the customer. This can be used to identify a customer based on the client's internal reference. | |
| aggregationDetails9 fields | object | Information about the AIS provider used for the report | |
| userId | string | Aggregator's customer identifier This value is set to null if the access is revoked | |
| aggregatorName | string | Name of the aggregator company Enum: | |
| callbackUrl | string | Callback URL set for a customer. Used to redirect the customer back to your user journey if you are using the aggregation in REDIRECT mode. | |
| token | string | Temporary access token set for Algoan's UI to communicate with the aggregator's API | |
| mode | string | Mode used for the customer journey Enum: | |
| redirectUrl | string | Redirect URL used for the end-user. Specific to REDIRECT mode | |
| apiUrl | string | URL used to call API using API mode | |
| iframeUrl | string | Iframe URL used for the end-user. Specific to IFRAME mode | |
| clientId | string | Aggregator client ID used to authenticate a customer with the organization | |
| connect | object | Properties of the customer for the Connect product Deprecated | |
| serviceAccountClientId | string | Client Id of the corresponding service account | |
| dashboard13 fields | object | Dashboard Property of the customer for the new dashboard. Only present if the project contains the dashboard product. | |
| currentState | string | Current state of the customer's report Enum: | |
| historyState3 fields | array[object] | States history: represents an array containing the history of the customer's report | |
| createdAt | string | The date the state was created at | |
| state | string | State of this report Enum: | |
| userId | string | User that consulted the dashboard and changed the report state | |
| invitationHistory4 fields | array[object] | Invitation history: represents an array containing the history of the customer's invitations | |
| date | string | The date of the event | |
| type | string | type of the event Enum: | |
| channel | string | Channel of the invitation email or sms Enum: | |
| senderUsername | string | The username of the sender | |
| numberOfViews | number | Number of times the report was viewed | |
| numberOfAnalyses | number | Number of COMPLETED analyses linked to the customer Deprecated | |
| newWithAnalysis | boolean | New with analysis | |
| onboarding | object | New with analysis | |
| team | string | Team corresponding to the customer's dashboard | |
| customizedMonthlyAmount | number | Monthly amount set by customer | |
| analysesConfig | object | Analyses config of the customer:
| |
| * | object | ||
| * | object | ||
| isIncludedInRemainderToLive | boolean | Indicate if the cashflow is included in the calculation of remainder to live | |
| comments4 fields | array[object] | Customer comments | |
| value | string | Value of the comment | |
| authorEmail | string | Electronic mail address of comment author | |
| createdAt | date-time | Creation date of the comment | |
| updatedAt | date-time | Last update date of the comment | |
| createdAt | string | Creation date | |
| updatedAt | string | Last update date | |
| openBankingInformation | object | Information about the customer retrieved from open banking | |
| owners | array[object] | Account owners information | |
| name | string | Name of the owner of the account | |
| reports4 fields | object | Reported information about customer's analyses | |
| completedAnalyses3 fields | object | Reported information about customer's completed analyses | |
| count | number | Number of analyses completed linked to the customer | |
| date | string | Date of the last analysis completed for the customer | |
| url | string | URL of the last analysis completed for the customer | |
| lastFailedAnalysis3 fields | object | Reported information about customer's last analysis in error | |
| date | string | Date of the last analysis failed for the customer | |
| url | string | URL of the last analysis failed for the customer | |
| type | string | Type of the last analysis failed for the customer | |
| userJourneyState | string | Reported information about customer's last state in the user journey Enum: | |
| pdfProcessingState | string | Enum: | |
| owner3 fields | object | The organization and project where the customer belongs to originally | |
| organizationId | string | The organization's id | |
| projectId | string | The project's id | |
| projectName | string | The project's name | |
| shares3 fields | array[object] | The projects that the customer is shared with | |
| organizationId | string | The organization's id | |
| projectId | string | The project's id | |
| sharedAt | string | The time of share | |
| storage4 fields | object | Storage Properties of the customer | |
| type | string | Type of storage when customer data is expired Enum: | |
| expiresAt | date-time | Expiration date of customer data | |
| partiallyExpiresAt | date-time | Partial expiration date of customer data | |
| isAnonymized | boolean | Indicates if the customer has been anonymized after expiration | |
| createdAt | string | Creation date of the customer | |
| updatedAt | string | Last date of update of the customer | |
| usage | string | Usage type of the customer: Business or Consumer Enum: | |
| userSegment | string | Used to differentiate the use-case and origin of the customer | |
| businessDetails | object | Personal information about the business customer | |
| pagination6 fields | object | ||
| next | string | ||
| previous | string | ||
| first | string | ||
| last | string | ||
| totalPages | number | ||
| totalResources | number |
Authentication required
Insufficient permissions
xxxxxxxxxx{ "resources": [...], "pagination": {...}}Create a new business
The data for business creation
| object | object | ||
| customIdentifier | string | A custom identifier that will be attached to the customer. This can be used to identify a customer based on the client's internal reference. | |
| aggregationDetails9 fields | object | Information about the AIS provider used for the report | |
| userId | string | Aggregator's customer identifier This value is set to null if the access is revoked | |
| aggregatorName | string | Name of the aggregator company Enum: | |
| callbackUrl | string | Callback URL set for a customer. Used to redirect the customer back to your user journey if you are using the aggregation in REDIRECT mode. | |
| token | string | Temporary access token set for Algoan's UI to communicate with the aggregator's API | |
| mode | string | Mode used for the customer journey Enum: | |
| redirectUrl | string | Redirect URL used for the end-user. Specific to REDIRECT mode | |
| apiUrl | string | URL used to call API using API mode | |
| iframeUrl | string | Iframe URL used for the end-user. Specific to IFRAME mode | |
| clientId | string | Aggregator client ID used to authenticate a customer with the organization | |
| userSegment | string | Used to differentiate the use-case and origin of the customer | |
| businessDetails | object | Personal information about the business |
curl --request POST \ --url 'https://api.algoan.com/v2/businesses' \ --header 'Authorization: Bearer {token}' \ --data '{ "customIdentifier": "{string}", "aggregationDetails": { "userId": "{string}", "aggregatorName": "{string}", "callbackUrl": "{string}", "token": "{string}", "mode": "{string}", "redirectUrl": "{string}", "apiUrl": "{string}", "iframeUrl": "{string}", "clientId": "{string}" }, "userSegment": "{string}", "businessDetails": {}}'Created
| object | object | ||
| id | string | Id of the customer | |
| customIdentifier | string | A custom identifier that will be attached to the customer. This can be used to identify a customer based on the client's internal reference. | |
| aggregationDetails9 fields | object | Information about the AIS provider used for the report | |
| userId | string | Aggregator's customer identifier This value is set to null if the access is revoked | |
| aggregatorName | string | Name of the aggregator company Enum: | |
| callbackUrl | string | Callback URL set for a customer. Used to redirect the customer back to your user journey if you are using the aggregation in REDIRECT mode. | |
| token | string | Temporary access token set for Algoan's UI to communicate with the aggregator's API | |
| mode | string | Mode used for the customer journey Enum: | |
| redirectUrl | string | Redirect URL used for the end-user. Specific to REDIRECT mode | |
| apiUrl | string | URL used to call API using API mode | |
| iframeUrl | string | Iframe URL used for the end-user. Specific to IFRAME mode | |
| clientId | string | Aggregator client ID used to authenticate a customer with the organization | |
| connect | object | Properties of the customer for the Connect product Deprecated | |
| serviceAccountClientId | string | Client Id of the corresponding service account | |
| dashboard13 fields | object | Dashboard Property of the customer for the new dashboard. Only present if the project contains the dashboard product. | |
| currentState | string | Current state of the customer's report Enum: | |
| historyState3 fields | array[object] | States history: represents an array containing the history of the customer's report | |
| createdAt | string | The date the state was created at | |
| state | string | State of this report Enum: | |
| userId | string | User that consulted the dashboard and changed the report state | |
| invitationHistory4 fields | array[object] | Invitation history: represents an array containing the history of the customer's invitations | |
| date | string | The date of the event | |
| type | string | type of the event Enum: | |
| channel | string | Channel of the invitation email or sms Enum: | |
| senderUsername | string | The username of the sender | |
| numberOfViews | number | Number of times the report was viewed | |
| numberOfAnalyses | number | Number of COMPLETED analyses linked to the customer Deprecated | |
| newWithAnalysis | boolean | New with analysis | |
| onboarding | object | New with analysis | |
| team | string | Team corresponding to the customer's dashboard | |
| customizedMonthlyAmount | number | Monthly amount set by customer | |
| analysesConfig | object | Analyses config of the customer:
| |
| * | object | ||
| * | object | ||
| isIncludedInRemainderToLive | boolean | Indicate if the cashflow is included in the calculation of remainder to live | |
| comments4 fields | array[object] | Customer comments | |
| value | string | Value of the comment | |
| authorEmail | string | Electronic mail address of comment author | |
| createdAt | date-time | Creation date of the comment | |
| updatedAt | date-time | Last update date of the comment | |
| createdAt | string | Creation date | |
| updatedAt | string | Last update date | |
| openBankingInformation | object | Information about the customer retrieved from open banking | |
| owners | array[object] | Account owners information | |
| name | string | Name of the owner of the account | |
| reports4 fields | object | Reported information about customer's analyses | |
| completedAnalyses3 fields | object | Reported information about customer's completed analyses | |
| count | number | Number of analyses completed linked to the customer | |
| date | string | Date of the last analysis completed for the customer | |
| url | string | URL of the last analysis completed for the customer | |
| lastFailedAnalysis3 fields | object | Reported information about customer's last analysis in error | |
| date | string | Date of the last analysis failed for the customer | |
| url | string | URL of the last analysis failed for the customer | |
| type | string | Type of the last analysis failed for the customer | |
| userJourneyState | string | Reported information about customer's last state in the user journey Enum: | |
| pdfProcessingState | string | Enum: | |
| owner3 fields | object | The organization and project where the customer belongs to originally | |
| organizationId | string | The organization's id | |
| projectId | string | The project's id | |
| projectName | string | The project's name | |
| shares3 fields | array[object] | The projects that the customer is shared with | |
| organizationId | string | The organization's id | |
| projectId | string | The project's id | |
| sharedAt | string | The time of share | |
| storage4 fields | object | Storage Properties of the customer | |
| type | string | Type of storage when customer data is expired Enum: | |
| expiresAt | date-time | Expiration date of customer data | |
| partiallyExpiresAt | date-time | Partial expiration date of customer data | |
| isAnonymized | boolean | Indicates if the customer has been anonymized after expiration | |
| createdAt | string | Creation date of the customer | |
| updatedAt | string | Last date of update of the customer | |
| usage | string | Usage type of the customer: Business or Consumer Enum: | |
| userSegment | string | Used to differentiate the use-case and origin of the customer | |
| businessDetails | object | Personal information about the business customer |
Validation failed
Authentication required
Insufficient permissions
customIdentifier already exists
{ "id": "{string}", "customIdentifier": "{string}", "aggregationDetails": { "userId": "{string}", "aggregatorName": "{string}", "callbackUrl": "{string}", "token": "{string}", "mode": "{string}", "redirectUrl": "{string}", "apiUrl": "{string}", "iframeUrl": "{string}", "clientId": "{string}" }, "connect": { "serviceAccountClientId": "{string}" }, "dashboard": { "currentState": "{string}", "historyState": [ { "createdAt": "{string}", "state": "{string}", "userId": "{string}" } ], "invitationHistory": [ { "date": "{string}", "type": "{string}", "channel": "{string}", "senderUsername": "{string}" } ], "numberOfViews": "{number}", "numberOfAnalyses": "{number}", "newWithAnalysis": "{boolean}", "onboarding": {}, "team": "{string}", "customizedMonthlyAmount": "{number}", "analysesConfig": {}, "comments": [ { "value": "{string}", "authorEmail": "{string}", "createdAt": "{date-time}", "updatedAt": "{date-time}" } ], "createdAt": "{string}", "updatedAt": "{string}" }, "openBankingInformation": { "owners": [ { "name": "{string}" } ] }, "reports": { "completedAnalyses": { "count": "{number}", "date": "{string}", "url": "{string}" }, "lastFailedAnalysis": { "date": "{string}", "url": "{string}", "type": "{string}" }, "userJourneyState": "{string}", "pdfProcessingState": "{string}" }, "owner": { "organizationId": "{string}", "projectId": "{string}", "projectName": "{string}" }, "shares": [ { "organizationId": "{string}", "projectId": "{string}", "sharedAt": "{string}" } ], "storage": { "type": "{string}", "expiresAt": "{date-time}", "partiallyExpiresAt": "{date-time}", "isAnonymized": "{boolean}" }, "createdAt": "{string}", "updatedAt": "{string}", "usage": "{string}", "userSegment": "{string}", "businessDetails": {}}Find a business by its id
| businessId | string | The business id |
curl --get \ --url 'https://api.algoan.com/v2/businesses/{businessId}' \ --header 'Authorization: Bearer {token}'OK
| object | object | ||
| id | string | Id of the customer | |
| customIdentifier | string | A custom identifier that will be attached to the customer. This can be used to identify a customer based on the client's internal reference. | |
| aggregationDetails9 fields | object | Information about the AIS provider used for the report | |
| userId | string | Aggregator's customer identifier This value is set to null if the access is revoked | |
| aggregatorName | string | Name of the aggregator company Enum: | |
| callbackUrl | string | Callback URL set for a customer. Used to redirect the customer back to your user journey if you are using the aggregation in REDIRECT mode. | |
| token | string | Temporary access token set for Algoan's UI to communicate with the aggregator's API | |
| mode | string | Mode used for the customer journey Enum: | |
| redirectUrl | string | Redirect URL used for the end-user. Specific to REDIRECT mode | |
| apiUrl | string | URL used to call API using API mode | |
| iframeUrl | string | Iframe URL used for the end-user. Specific to IFRAME mode | |
| clientId | string | Aggregator client ID used to authenticate a customer with the organization | |
| connect | object | Properties of the customer for the Connect product Deprecated | |
| serviceAccountClientId | string | Client Id of the corresponding service account | |
| dashboard13 fields | object | Dashboard Property of the customer for the new dashboard. Only present if the project contains the dashboard product. | |
| currentState | string | Current state of the customer's report Enum: | |
| historyState3 fields | array[object] | States history: represents an array containing the history of the customer's report | |
| createdAt | string | The date the state was created at | |
| state | string | State of this report Enum: | |
| userId | string | User that consulted the dashboard and changed the report state | |
| invitationHistory4 fields | array[object] | Invitation history: represents an array containing the history of the customer's invitations | |
| date | string | The date of the event | |
| type | string | type of the event Enum: | |
| channel | string | Channel of the invitation email or sms Enum: | |
| senderUsername | string | The username of the sender | |
| numberOfViews | number | Number of times the report was viewed | |
| numberOfAnalyses | number | Number of COMPLETED analyses linked to the customer Deprecated | |
| newWithAnalysis | boolean | New with analysis | |
| onboarding | object | New with analysis | |
| team | string | Team corresponding to the customer's dashboard | |
| customizedMonthlyAmount | number | Monthly amount set by customer | |
| analysesConfig | object | Analyses config of the customer:
| |
| * | object | ||
| * | object | ||
| isIncludedInRemainderToLive | boolean | Indicate if the cashflow is included in the calculation of remainder to live | |
| comments4 fields | array[object] | Customer comments | |
| value | string | Value of the comment | |
| authorEmail | string | Electronic mail address of comment author | |
| createdAt | date-time | Creation date of the comment | |
| updatedAt | date-time | Last update date of the comment | |
| createdAt | string | Creation date | |
| updatedAt | string | Last update date | |
| openBankingInformation | object | Information about the customer retrieved from open banking | |
| owners | array[object] | Account owners information | |
| name | string | Name of the owner of the account | |
| reports4 fields | object | Reported information about customer's analyses | |
| completedAnalyses3 fields | object | Reported information about customer's completed analyses | |
| count | number | Number of analyses completed linked to the customer | |
| date | string | Date of the last analysis completed for the customer | |
| url | string | URL of the last analysis completed for the customer | |
| lastFailedAnalysis3 fields | object | Reported information about customer's last analysis in error | |
| date | string | Date of the last analysis failed for the customer | |
| url | string | URL of the last analysis failed for the customer | |
| type | string | Type of the last analysis failed for the customer | |
| userJourneyState | string | Reported information about customer's last state in the user journey Enum: | |
| pdfProcessingState | string | Enum: | |
| owner3 fields | object | The organization and project where the customer belongs to originally | |
| organizationId | string | The organization's id | |
| projectId | string | The project's id | |
| projectName | string | The project's name | |
| shares3 fields | array[object] | The projects that the customer is shared with | |
| organizationId | string | The organization's id | |
| projectId | string | The project's id | |
| sharedAt | string | The time of share | |
| storage4 fields | object | Storage Properties of the customer | |
| type | string | Type of storage when customer data is expired Enum: | |
| expiresAt | date-time | Expiration date of customer data | |
| partiallyExpiresAt | date-time | Partial expiration date of customer data | |
| isAnonymized | boolean | Indicates if the customer has been anonymized after expiration | |
| createdAt | string | Creation date of the customer | |
| updatedAt | string | Last date of update of the customer | |
| usage | string | Usage type of the customer: Business or Consumer Enum: | |
| userSegment | string | Used to differentiate the use-case and origin of the customer | |
| businessDetails | object | Personal information about the business customer |
Authentication required
Insufficient permissions
Not Found
{ "id": "{string}", "customIdentifier": "{string}", "aggregationDetails": { "userId": "{string}", "aggregatorName": "{string}", "callbackUrl": "{string}", "token": "{string}", "mode": "{string}", "redirectUrl": "{string}", "apiUrl": "{string}", "iframeUrl": "{string}", "clientId": "{string}" }, "connect": { "serviceAccountClientId": "{string}" }, "dashboard": { "currentState": "{string}", "historyState": [ { "createdAt": "{string}", "state": "{string}", "userId": "{string}" } ], "invitationHistory": [ { "date": "{string}", "type": "{string}", "channel": "{string}", "senderUsername": "{string}" } ], "numberOfViews": "{number}", "numberOfAnalyses": "{number}", "newWithAnalysis": "{boolean}", "onboarding": {}, "team": "{string}", "customizedMonthlyAmount": "{number}", "analysesConfig": {}, "comments": [ { "value": "{string}", "authorEmail": "{string}", "createdAt": "{date-time}", "updatedAt": "{date-time}" } ], "createdAt": "{string}", "updatedAt": "{string}" }, "openBankingInformation": { "owners": [ { "name": "{string}" } ] }, "reports": { "completedAnalyses": { "count": "{number}", "date": "{string}", "url": "{string}" }, "lastFailedAnalysis": { "date": "{string}", "url": "{string}", "type": "{string}" }, "userJourneyState": "{string}", "pdfProcessingState": "{string}" }, "owner": { "organizationId": "{string}", "projectId": "{string}", "projectName": "{string}" }, "shares": [ { "organizationId": "{string}", "projectId": "{string}", "sharedAt": "{string}" } ], "storage": { "type": "{string}", "expiresAt": "{date-time}", "partiallyExpiresAt": "{date-time}", "isAnonymized": "{boolean}" }, "createdAt": "{string}", "updatedAt": "{string}", "usage": "{string}", "userSegment": "{string}", "businessDetails": {}}Update a single business based on a single ID
| businessId | string | The business id |
| object | object | ||
| aggregationDetails9 fields | object | Information about the AIS provider used for the report | |
| userId | string | Aggregator's customer identifier This value is set to null if the access is revoked | |
| aggregatorName | string | Name of the aggregator company Enum: | |
| callbackUrl | string | Callback URL set for a customer. Used to redirect the customer back to your user journey if you are using the aggregation in REDIRECT mode. | |
| token | string | Temporary access token set for Algoan's UI to communicate with the aggregator's API | |
| mode | string | Mode used for the customer journey Enum: | |
| redirectUrl | string | Redirect URL used for the end-user. Specific to REDIRECT mode | |
| apiUrl | string | URL used to call API using API mode | |
| iframeUrl | string | Iframe URL used for the end-user. Specific to IFRAME mode | |
| clientId | string | Aggregator client ID used to authenticate a customer with the organization | |
| userSegment | string | Used to differentiate the use-case and origin of the customer | |
| businessDetails | object | Business details of the business |
curl --request PATCH \ --url 'https://api.algoan.com/v2/businesses/{businessId}' \ --header 'Authorization: Bearer {token}' \ --data '{ "aggregationDetails": { "userId": "{string}", "aggregatorName": "{string}", "callbackUrl": "{string}", "token": "{string}", "mode": "{string}", "redirectUrl": "{string}", "apiUrl": "{string}", "iframeUrl": "{string}", "clientId": "{string}" }, "userSegment": "{string}", "businessDetails": {}}'OK
| object | object | ||
| id | string | Id of the customer | |
| customIdentifier | string | A custom identifier that will be attached to the customer. This can be used to identify a customer based on the client's internal reference. | |
| aggregationDetails9 fields | object | Information about the AIS provider used for the report | |
| userId | string | Aggregator's customer identifier This value is set to null if the access is revoked | |
| aggregatorName | string | Name of the aggregator company Enum: | |
| callbackUrl | string | Callback URL set for a customer. Used to redirect the customer back to your user journey if you are using the aggregation in REDIRECT mode. | |
| token | string | Temporary access token set for Algoan's UI to communicate with the aggregator's API | |
| mode | string | Mode used for the customer journey Enum: | |
| redirectUrl | string | Redirect URL used for the end-user. Specific to REDIRECT mode | |
| apiUrl | string | URL used to call API using API mode | |
| iframeUrl | string | Iframe URL used for the end-user. Specific to IFRAME mode | |
| clientId | string | Aggregator client ID used to authenticate a customer with the organization | |
| connect | object | Properties of the customer for the Connect product Deprecated | |
| serviceAccountClientId | string | Client Id of the corresponding service account | |
| dashboard13 fields | object | Dashboard Property of the customer for the new dashboard. Only present if the project contains the dashboard product. | |
| currentState | string | Current state of the customer's report Enum: | |
| historyState3 fields | array[object] | States history: represents an array containing the history of the customer's report | |
| createdAt | string | The date the state was created at | |
| state | string | State of this report Enum: | |
| userId | string | User that consulted the dashboard and changed the report state | |
| invitationHistory4 fields | array[object] | Invitation history: represents an array containing the history of the customer's invitations | |
| date | string | The date of the event | |
| type | string | type of the event Enum: | |
| channel | string | Channel of the invitation email or sms Enum: | |
| senderUsername | string | The username of the sender | |
| numberOfViews | number | Number of times the report was viewed | |
| numberOfAnalyses | number | Number of COMPLETED analyses linked to the customer Deprecated | |
| newWithAnalysis | boolean | New with analysis | |
| onboarding | object | New with analysis | |
| team | string | Team corresponding to the customer's dashboard | |
| customizedMonthlyAmount | number | Monthly amount set by customer | |
| analysesConfig | object | Analyses config of the customer:
| |
| * | object | ||
| * | object | ||
| isIncludedInRemainderToLive | boolean | Indicate if the cashflow is included in the calculation of remainder to live | |
| comments4 fields | array[object] | Customer comments | |
| value | string | Value of the comment | |
| authorEmail | string | Electronic mail address of comment author | |
| createdAt | date-time | Creation date of the comment | |
| updatedAt | date-time | Last update date of the comment | |
| createdAt | string | Creation date | |
| updatedAt | string | Last update date | |
| openBankingInformation | object | Information about the customer retrieved from open banking | |
| owners | array[object] | Account owners information | |
| name | string | Name of the owner of the account | |
| reports4 fields | object | Reported information about customer's analyses | |
| completedAnalyses3 fields | object | Reported information about customer's completed analyses | |
| count | number | Number of analyses completed linked to the customer | |
| date | string | Date of the last analysis completed for the customer | |
| url | string | URL of the last analysis completed for the customer | |
| lastFailedAnalysis3 fields | object | Reported information about customer's last analysis in error | |
| date | string | Date of the last analysis failed for the customer | |
| url | string | URL of the last analysis failed for the customer | |
| type | string | Type of the last analysis failed for the customer | |
| userJourneyState | string | Reported information about customer's last state in the user journey Enum: | |
| pdfProcessingState | string | Enum: | |
| owner3 fields | object | The organization and project where the customer belongs to originally | |
| organizationId | string | The organization's id | |
| projectId | string | The project's id | |
| projectName | string | The project's name | |
| shares3 fields | array[object] | The projects that the customer is shared with | |
| organizationId | string | The organization's id | |
| projectId | string | The project's id | |
| sharedAt | string | The time of share | |
| storage4 fields | object | Storage Properties of the customer | |
| type | string | Type of storage when customer data is expired Enum: | |
| expiresAt | date-time | Expiration date of customer data | |
| partiallyExpiresAt | date-time | Partial expiration date of customer data | |
| isAnonymized | boolean | Indicates if the customer has been anonymized after expiration | |
| createdAt | string | Creation date of the customer | |
| updatedAt | string | Last date of update of the customer | |
| usage | string | Usage type of the customer: Business or Consumer Enum: | |
| userSegment | string | Used to differentiate the use-case and origin of the customer | |
| businessDetails | object | Personal information about the business customer |
Validation failed
Authentication required
Insufficient permissions
Not Found
{ "id": "{string}", "customIdentifier": "{string}", "aggregationDetails": { "userId": "{string}", "aggregatorName": "{string}", "callbackUrl": "{string}", "token": "{string}", "mode": "{string}", "redirectUrl": "{string}", "apiUrl": "{string}", "iframeUrl": "{string}", "clientId": "{string}" }, "connect": { "serviceAccountClientId": "{string}" }, "dashboard": { "currentState": "{string}", "historyState": [ { "createdAt": "{string}", "state": "{string}", "userId": "{string}" } ], "invitationHistory": [ { "date": "{string}", "type": "{string}", "channel": "{string}", "senderUsername": "{string}" } ], "numberOfViews": "{number}", "numberOfAnalyses": "{number}", "newWithAnalysis": "{boolean}", "onboarding": {}, "team": "{string}", "customizedMonthlyAmount": "{number}", "analysesConfig": {}, "comments": [ { "value": "{string}", "authorEmail": "{string}", "createdAt": "{date-time}", "updatedAt": "{date-time}" } ], "createdAt": "{string}", "updatedAt": "{string}" }, "openBankingInformation": { "owners": [ { "name": "{string}" } ] }, "reports": { "completedAnalyses": { "count": "{number}", "date": "{string}", "url": "{string}" }, "lastFailedAnalysis": { "date": "{string}", "url": "{string}", "type": "{string}" }, "userJourneyState": "{string}", "pdfProcessingState": "{string}" }, "owner": { "organizationId": "{string}", "projectId": "{string}", "projectName": "{string}" }, "shares": [ { "organizationId": "{string}", "projectId": "{string}", "sharedAt": "{string}" } ], "storage": { "type": "{string}", "expiresAt": "{date-time}", "partiallyExpiresAt": "{date-time}", "isAnonymized": "{boolean}" }, "createdAt": "{string}", "updatedAt": "{string}", "usage": "{string}", "userSegment": "{string}", "businessDetails": {}}Analysis
An analysis is a snapshot of a customer's financial situation based on the connected bank accounts. It contains results from both products Score and Credit Insights.
NOTE: To get Credit Insights results or a Score, the analysis need to contain at least one CHECKING Account with a minimum of 20 transactions.
Find all analysis by organization/project
| businessId | string | id of the related customer |
curl --get \ --url 'https://api.algoan.com/v2/businesses/{businessId}/analyses' \ --header 'Authorization: Bearer {token}'OK
| object | object | ||
| resources17 fields | array[object] | ||
| id | string | Id of the analysis | |
| customerId | string | Customer id to which the analysis is related | |
| sessionId | string | Session id to which the analysis is related | |
| folderId | string | Folder id to which the analysis is related. Set when the analysis is created from PDF bank statements. | |
| parameters5 fields | object | Parameters | |
| disableScores | boolean | If set to true, the scores will not be computed during the analysis. | |
| disableCreditInsights | boolean | If set to true, the credit insights will not be computed during the analysis. | |
| useBalanceDate | boolean | If set to true, the analysis will use the balance date as the base of the analysis window instead of the transaction date. | |
| launchReport | boolean | If set to true, the report will be launched at the end of the analysis. Otherwise, the report should be launched manually by calling the dedicated endpoint: POST /v2/customers/{customerId}/reports | |
| period6 fields | object | Analysis window parameters | |
| mode | string | The window / kind of period the analysis will be run on Enum: | |
| numberOfDays | number | The length of the window in days necessary in DAYS configuration | |
| numberOfMonths | number | The length of the window in months necessary in all MONTHS type configuration | |
| customWindowDateRange4 fields | object | Custom window date range necessary in CUSTOM_WINDOW configuration | |
| minDate | string | The start date of the custom window (inclusive) | |
| maxDate | string | The end date of the custom window (inclusive) | |
| minScoreDate | string | The minimum date for which a score is calculated (inclusive) | |
| maxScoreDate | string | The maximum date for which a score is calculated (inclusive) | |
| includeCheckingAccountsOnTruncateWindow | boolean | For the mode "MONTHS_TRUNCATED" only include only checking accounts transactions to truncate window if true | |
| isComputedUsingProjectConfig | boolean | If set to true, the analysis has been computed using the project configuration. This means that the analysis window has been defined according to the project configuration and not according to the parameters sent in the request. | |
| metadata18 fields | object | Metadata ObjectId | |
| id | string | Id of the metadata | |
| analysisId | string | analysis id to which the metadata is related | |
| numberOfCheckings | number | Number of "Checking" accounts | |
| numberOfSavings | number | Number of "Saving" accounts | |
| numberOfLoans | number | Number of "Loan" accounts | |
| numberOfConsumerLoans | number | Number of "Consumer Loan" accounts | |
| numberOfCreditCard | number | Number of "Credit Card" accounts | |
| creditInsights9 fields | object | Indicators about the Open Banking data used to compute the Credit Insights product | |
| lastTransactionGap | number | Number of days between the call to Score and Credit Insights and the last transaction | |
| historicalDepth | number | Number of days between the first and last transaction on the intersection of CHECKING accounts | |
| monthlyTransactionCount | number | Monthly mean number of transactions | |
| firstTransactionDate | string | Date of the oldest transaction | |
| calendar3 fields | array[object] | Number of days for each month | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| totalTransactionCount | number | Total number of analysed transactions | |
| minWindowDate | string | First date of the analysis window | |
| maxWindowDate | string | Last date of the analysis window | |
| numberOfDaysInWindow | number | Number of days of the window of transactions used to compute the product | |
| creditScore9 fields | object | Indicators about the Open Banking data used to compute the Credit Score product | |
| lastTransactionGap | number | Number of days between the call to Score and Credit Insights and the last transaction | |
| historicalDepth | number | Number of days between the first and last transaction on the intersection of CHECKING accounts | |
| monthlyTransactionCount | number | Monthly mean number of transactions | |
| firstTransactionDate | string | Date of the oldest transaction | |
| calendar3 fields | array[object] | Number of days for each month | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| totalTransactionCount | number | Total number of analysed transactions | |
| minWindowDate | string | First date of the analysis window | |
| maxWindowDate | string | Last date of the analysis window | |
| numberOfDaysInWindow | number | Number of days of the window of transactions used to compute the product | |
| paymentScore9 fields | object | Indicators about the Open Banking data used to compute the Payment Score product | |
| lastTransactionGap | number | Number of days between the call to Score and Credit Insights and the last transaction | |
| historicalDepth | number | Number of days between the first and last transaction on the intersection of CHECKING accounts | |
| monthlyTransactionCount | number | Monthly mean number of transactions | |
| firstTransactionDate | string | Date of the oldest transaction | |
| calendar3 fields | array[object] | Number of days for each month | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| totalTransactionCount | number | Total number of analysed transactions | |
| minWindowDate | string | First date of the analysis window | |
| maxWindowDate | string | Last date of the analysis window | |
| numberOfDaysInWindow | number | Number of days of the window of transactions used to compute the product | |
| lastTransactionGap | number | Number of days between the call to Score and Credit Insights and the last transaction Deprecated | |
| historicalDepth | number | Number of days between the first and last transaction on the intersection of CHECKING accounts Deprecated | |
| monthlyTransactionCount | number | Monthly mean number of transactions Deprecated | |
| firstTransactionDate | string | Date of the oldest transaction Deprecated | |
| calendar3 fields | array[object] | Number of days for each month Deprecated | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| totalTransactionCount | number | Total number of analysed transactions Deprecated | |
| referenceDate | string | Reference date of the analysis | |
| activityScore4 fields | object | A score measuring the activity of all aggregated accounts of a bank user. This score might be used to filter out users who are not active enough or to indicate that we probably don't have access to the main account. | |
| value | number | Grade between 1 and 100, from the less active account to the most active one. | |
| activityLevel | string | Appreciation on the accounts activity. There is three modalities LOW (1-19), MEDIUM(10-49) and GOOD(50-100). We don't store this for the moment Enum: | |
| numberOfDaysInWindow | number | Number of days | |
| calendar3 fields | array[object] | Number of days for each month | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| creditInsights | Credit Insights ObjectId | ||
| object | object | ||
| id | string | Id of the score | |
| analysisId | string | Analysis id to which the credit insights is related | |
| createdAt | string | Creation date of the credit insights | |
| updatedAt | string | Last update date | |
| usage | string | Indicates usage type of the credit insights, either for consumer or business credit insights. Enum: | |
| version | string | Credit insight version | |
| scores | Score ObjectId | ||
| object | object | ||
| id | string | Id of the score | |
| analysisId | string | Analysis id to which the score is related | |
| createdAt | Creation date of the score | ||
| string | string | ||
| updatedAt | Last update date | ||
| string | string | ||
| usage | string | Indicates usage type of the score, either for consumer or business score. Enum: | |
| source | string | Source Enum: | |
| dataOrigin | string | Data origin Enum: | |
| format | string | Original format of the open banking data Enum: | |
| status | string | Status Enum: | |
| error | object | Error | |
| code | string | ||
| message | string | ||
| accounts23 fields | array[object] | List of account used to obtain the analysis | |
| id | string | The account unique identifier | |
| balance | number | Last known account balance | |
| balanceDate | string | Date of the last known account balance | |
| currency | string | Account's currency | |
| type | string | Account's type Enum: | |
| usage | string | Purpose of the account Enum: | |
| ownership | string | Relationship between the owner and the account. Enum: | |
| owners | array[object] | Owners of the account | |
| name | string | Name of the owner of the account | |
| iban | string | ||
| bic | string | BIC (Business Identifier Code) of the account's bank | |
| name | string | Name the account taken from the bank's website | |
| bank4 fields | object | Properties computed by Algoan | |
| id | string | Id of the account - aggregator unique identifier | |
| logoUrl | string | URL of the logo of the account's bank | |
| name | string | Name of the account's bank | |
| country | string | Code of the country of the account's bank | |
| country | string | Code of the country of the account | |
| coming | number | Amount of coming operations (not yet debited) | |
| details2 fields | object | Details of the account | |
| savings4 fields | object | Details specific about a saving account | |
| type | string | Saving account's type Enum: | |
| openedAt | string | Opening date of the saving account | |
| maximumAmount | number | Maximum amount authorized for the saving account | |
| interestRate | number | Interest rate of the saving account | |
| loan9 fields | object | Details specific to a loan account | |
| type | string | Loan's type Enum: | |
| amount | number | Amount of the loan | |
| startDate | string | Loan's start date | |
| endDate | string | Loan's end date | |
| duration | number | Number of months the loan will take | |
| insuranceLabel | string | Label of the insurance | |
| payment | number | Monthly amount debited to repay the loan if it is amortizable | |
| remainingCapital | number | Remaining amount of the capital still to repay | |
| interestRate | number | Interest rate of the loan | |
| aggregator3 fields | object | Information set by the aggregator | |
| id | string | Id of the transaction/account on the aggregator | |
| type | string | ||
| category | string | ||
| transactions13 fields | array[object] | Account's transaction list | |
| id | string | ID of the transaction | |
| accountId | string | Id of the account linked to the transaction on Algoan | |
| dates | object | Dates associated with the transaction | |
| debitedAt | string | Debit date as seen on the bank statement | |
| bookedAt | string | Realization date of the transaction | |
| description | string | Description of the transaction taken from the banks's website | |
| amount | number | Transaction's amount (negative if debit) | |
| currency | string | Transaction's currency | |
| enrichments8 fields | object | Properties computed by Algoan | |
| category | Category of the transaction | ||
| string | string | Enum: | |
| type | string | Nature of the transaction Enum: | |
| isRejected | boolean | Indicates if the transaction has been rejected or not. Deprecated | |
| counterPartId | string | Id of the counterpart if the transaction is or has been rejected. Deprecated | |
| relatedTransactions11 fields | object | List of identifiers related to this transaction. | |
| retryOf | string | Id corresponding to the transaction retried by this transaction Flexible link | |
| retriedOn | string | Id of the transaction corresponding to the retry of this transaction Flexible link | |
| rejectionOf | string | Id of the rejected transaction corresponding to this transaction Robust link | |
| rejectedOn | string | Id of the transaction corresponding to the rejection of this one Robust link | |
| transferOf | string | Id of the transferred transaction Robust link | |
| transferedOn | string | Id of the transaction corresponding to the transfer of this one Robust link Deprecated | |
| transferredOn | string | Id of the transaction corresponding to the transfer of this one Robust link | |
| resetOf | string | Id of the reset transaction Robust link | |
| resetOn | string | Id of the transaction this transaction is reset on Robust link | |
| refundOf | string | Id of the transaction that is going to be refunded Robust link | |
| refundedOn | string | Id of the refunded of the transaction Robust link | |
| groupId | string | Group id of the transaction Deprecated | |
| descriptionGroupId | string | Description of the transaction group id Deprecated | |
| isInternationalTransfer | boolean | Indicates if the transaction is international or not | |
| isComing | boolean | Indicates if the transaction will be debited in the future or not. | |
| aggregator3 fields | object | Information set by the aggregator | |
| id | string | Id of the transaction/account on the aggregator | |
| type | string | ||
| category | string | ||
| comment | string | Comment on the transaction | |
| isNonAnalysed | boolean | Indicates if the transaction is non analysed in the case of the full months analysis configuration | |
| createdAt | date-time | Creation date of the transaction in Algoan's database | |
| updatedAt | date-time | Last update date of the transaction in Algoan's database | |
| isMerged | boolean | Information about whether or not an account has been merged | |
| number | string | Account's number | |
| relatedAccountIds | array[string] | Account's related accounts | |
| isComputed | boolean | Whether the account has been used to compute the analysis | |
| createdAt | date-time | Creation date on Algoan side | |
| updatedAt | date-time | Last update date on Algoan side | |
| createdAt | date-time | Creation date of the analysis | |
| updatedAt | date-time | Last update date of the analysis | |
| dailyBalances | array[object] | Analysis's daily balances | |
| date | string | Date of the balance | |
| balance | number | Account balance for the specific date | |
| pagination6 fields | object | ||
| next | string | ||
| previous | string | ||
| first | string | ||
| last | string | ||
| totalPages | number | ||
| totalResources | number |
Bad request if the pagination parameters are invalid
Authentication required
Insufficient permissions
Not Found
xxxxxxxxxx{ "resources": [...], "pagination": {...}}Create analysis add the accounts and trigger analysis calculation if not empty
| businessId | string | id of the related business |
analysis to create
| object | object | ||
| accounts | Accounts Exists if the format is ALGOAN, Tink V2 or empty | ||
| array | array[object] | ||
| balance | number | Last known account balance | |
| balanceDate | string | Date of the last known account balance | |
| currency | string | Account's currency | |
| type | string | Account's type Enum: | |
| usage | string | Purpose of the account Enum: | |
| ownership | string | Relationship between the owner and the account Enum: | |
| owners | array[object] | Owners of the account | |
| name | string | Name of the owner of the account | |
| iban | string | ||
| bic | string | BIC (Business Identifier Code) of the account's bank | |
| name | string | Name the account taken from the bank's website | |
| bank4 fields | object | Properties computed by Algoan | |
| id | string | Id of the account - aggregator unique identifier | |
| logoUrl | string | URL of the logo of the account's bank | |
| name | string | Name of the account's bank | |
| country | string | Code of the country of the account's bank | |
| country | string | Code of the country of the account | |
| coming | number | Amount of coming operations (not yet debited) | |
| details2 fields | object | Details of the account | |
| savings4 fields | object | Details specific about a saving account | |
| type | string | Saving account's type Enum: | |
| openedAt | string | Opening date of the saving account | |
| maximumAmount | number | Maximum amount authorized for the saving account | |
| interestRate | number | Interest rate of the saving account | |
| loan9 fields | object | Details specific to a loan account | |
| type | string | Loan's type Enum: | |
| amount | number | Amount of the loan | |
| startDate | string | Loan's start date | |
| endDate | string | Loan's end date | |
| duration | number | Number of months the loan will take | |
| insuranceLabel | string | Label of the insurance | |
| payment | number | Monthly amount debited to repay the loan if it is amortizable | |
| remainingCapital | number | Remaining amount of the capital still to repay | |
| interestRate | number | Interest rate of the loan | |
| aggregator3 fields | object | Information set by the aggregator | |
| id | string | Id of the transaction/account on the aggregator | |
| type | string | ||
| category | string | ||
| transactions11 fields | array[object] | Account's transactions list | |
| id | string | Id of the transaction | |
| accountId | string | Id of the account linked to the transaction on Algoan | |
| dates | object | Dates associated with the transaction | |
| debitedAt | string | Debit date as seen on the bank statement | |
| bookedAt | string | Realization date of the transaction | |
| description | string | Description of the transaction taken from the banks's website | |
| amount | number | Transaction's amount (negative if debit) | |
| currency | string | Transaction's currency | |
| enrichments8 fields | object | Properties computed by Algoan | |
| category | Category of the transaction | ||
| string | string | Enum: | |
| type | string | Nature of the transaction Enum: | |
| isRejected | boolean | Indicates if the transaction has been rejected or not. Deprecated | |
| counterPartId | string | Id of the counterpart if the transaction is or has been rejected. Deprecated | |
| relatedTransactions11 fields | object | List of identifiers related to this transaction. | |
| retryOf | string | Id corresponding to the transaction retried by this transaction Flexible link | |
| retriedOn | string | Id of the transaction corresponding to the retry of this transaction Flexible link | |
| rejectionOf | string | Id of the rejected transaction corresponding to this transaction Robust link | |
| rejectedOn | string | Id of the transaction corresponding to the rejection of this one Robust link | |
| transferOf | string | Id of the transferred transaction Robust link | |
| transferedOn | string | Id of the transaction corresponding to the transfer of this one Robust link Deprecated | |
| transferredOn | string | Id of the transaction corresponding to the transfer of this one Robust link | |
| resetOf | string | Id of the reset transaction Robust link | |
| resetOn | string | Id of the transaction this transaction is reset on Robust link | |
| refundOf | string | Id of the transaction that is going to be refunded Robust link | |
| refundedOn | string | Id of the refunded of the transaction Robust link | |
| groupId | string | Group id of the transaction Deprecated | |
| descriptionGroupId | string | Description of the transaction group id Deprecated | |
| isInternationalTransfer | boolean | Indicates if the transaction is international or not | |
| isComing | boolean | Indicates if the transaction will be debited in the future or not. | |
| aggregator3 fields | object | Information set by the aggregator | |
| id | string | Id of the transaction/account on the aggregator | |
| type | string | ||
| category | string | ||
| comment | string | Comment on the transaction | |
| isNonAnalysed | boolean | Indicates if the transaction is non analysed in the case of the full months analysis configuration | |
| dailyBalances | array[object] | Account's daily balances | |
| date | string | Date of the balance | |
| balance | number | Account balance for the specific date | |
| isComputed | boolean | Whether the account will be used to compute the analysis | |
| number | string | Account's number | |
| connections | Budget Insight or Oxlin connections Exists if the format is BUDGET_INSIGHT_V2_0, or OXLIN_DIRECT_ACCOUNT_API or OXLIN_DIRECT_ACCOUNT_API_NEW | ||
| array | array | ||
| connection | string | Discriminator field filled by mongoose Enum: | |
| id | number | ||
| id | number | ||
| id | number | ||
| id | number | ||
| id | number | ||
| last | string | ||
| state | string | Enum: | |
| active | boolean | ||
| created | string | ||
| next | string | ||
| error | string | ||
| last | string | ||
| expire | string | ||
| connector | string | ||
| connector15 fields | object | ||
| id | number | ||
| uuid | string | ||
| name | string | ||
| hidden | boolean | ||
| charged | boolean | ||
| code | string | ||
| beta | boolean | ||
| color | string | ||
| slug | string | ||
| sync | number | ||
| months | number | ||
| auth | string | ||
| transfer | string | ||
| siret | string | ||
| logoUrl | string | ||
| accounts28 fields | array[object] | ||
| id | number | ||
| id | number | ||
| id | number | ||
| id | number | ||
| id | number | ||
| number | string | ||
| webid | string | ||
| original | string | ||
| coming | number | ||
| bookmarked | number | ||
| display | boolean | ||
| deleted | string | ||
| currency4 fields | object | ||
| id | string | ||
| name | string | ||
| symbol | string | ||
| precision | number | ||
| balance | number | ||
| error | string | ||
| name | string | ||
| last | string | ||
| type | string | Enum: | |
| id | number | ||
| iban | string | ||
| bic | string | ||
| loan19 fields | object | ||
| duration | number | ||
| insurance | string | ||
| total | number | ||
| available | number | ||
| used | number | ||
| id | number | ||
| id | number | ||
| maturity | string | ||
| rate | number | ||
| next | number | ||
| nb | number | ||
| nb | number | ||
| nb | number | ||
| last | number | ||
| next | string | ||
| last | string | ||
| subscription | string | ||
| type | string | Enum: | |
| account | string | ||
| usage | string | Enum: | |
| disabled | string | ||
| company | string | ||
| transactions37 fields | array[object] | ||
| id | number | ||
| id | number | ||
| application | string | ||
| date | string | ||
| dateTime | string | ||
| rdate | string | ||
| vdate | string | ||
| vdatetime | string | ||
| bdate | string | ||
| bdatetime | string | ||
| rdatetime | string | ||
| simplified | string | ||
| stemmed | string | ||
| formatted | string | ||
| state | string | ||
| value | number | ||
| gross | number | ||
| card | string | ||
| wording | string | ||
| original | string | ||
| type | string | ||
| id | number | ||
| original | object | ||
| id | string | ||
| name | string | ||
| symbol | string | ||
| precision | number | ||
| coming | boolean | ||
| active | boolean | ||
| category7 fields | object | ||
| id | number | ||
| id | number | ||
| name | string | ||
| color | string | ||
| income | boolean | ||
| refundable | boolean | ||
| id | number | ||
| date | string | ||
| last | string | ||
| deleted | string | ||
| id | number | ||
| commission | number | ||
| original | number | ||
| original | number | ||
| comment | string | ||
| commission | object | ||
| id | string | ||
| name | string | ||
| symbol | string | ||
| precision | number | ||
| country | string | ||
| webid | string | ||
| ownership | string | Enum: | |
| opening | string | ||
| information1 field | object | ||
| owner12 fields | object | ||
| name | string | ||
| first | string | ||
| last | string | ||
| company | string | ||
| job | string | ||
| job | string | ||
| socioprofessional | string | ||
| family | string | ||
| housing | string | ||
| phone | string | ||
| string | |||
| postal | object | ||
| full | string | ||
| accountOwnerships | Budget Insight or Powens account ownerships | ||
| array | array[object] | ||
| id | number | ID of the related account | |
| id | number | ID of the related connection | |
| id | number | ID of the related user | |
| id | number | ID of the related connector source | |
| name | string | Name of the bank account | |
| usage | string | Usage of the bank account Enum: | |
| parties2 fields | array[object] | List of account parties | |
| role | string | Role of the party string Enum: | |
| identity | object | Identity of the party object | |
| is | boolean | Whether this account party represents the PSU, holder of the connection. It is null when it is not possible to verify this relation | |
| full | string | Full name of the account party | |
| identifications | array[object] | List of account identifications | |
| scheme | string | Name of the account scheme type Enum: | |
| identification | string | Identification number of the account | |
| format | string | Original format of the open banking data Enum: | |
| parameters5 fields | object | Parameters | |
| disableScores | boolean | If set to true, the scores will not be computed during the analysis. | |
| disableCreditInsights | boolean | If set to true, the credit insights will not be computed during the analysis. | |
| useBalanceDate | boolean | If set to true, the analysis will use the balance date as the base of the analysis window instead of the transaction date. | |
| launchReport | boolean | If set to true, the report will be launched at the end of the analysis. Otherwise, the report should be launched manually by calling the dedicated endpoint: POST /v2/customers/{customerId}/reports | |
| period6 fields | object | Analysis window parameters | |
| mode | string | The window / kind of period the analysis will be run on Enum: | |
| numberOfDays | number | The length of the window in days necessary in DAYS configuration | |
| numberOfMonths | number | The length of the window in months necessary in all MONTHS type configuration | |
| customWindowDateRange4 fields | object | Custom window date range necessary in CUSTOM_WINDOW configuration | |
| minDate | string | The start date of the custom window (inclusive) | |
| maxDate | string | The end date of the custom window (inclusive) | |
| minScoreDate | string | The minimum date for which a score is calculated (inclusive) | |
| maxScoreDate | string | The maximum date for which a score is calculated (inclusive) | |
| includeCheckingAccountsOnTruncateWindow | boolean | For the mode "MONTHS_TRUNCATED" only include only checking accounts transactions to truncate window if true | |
| isComputedUsingProjectConfig | boolean | If set to true, the analysis has been computed using the project configuration. This means that the analysis window has been defined according to the project configuration and not according to the parameters sent in the request. | |
| triggerAccountSync | boolean | Trigger account synchronization by emitting an event refresh or bank_details_required If not defined, the account synchronization will be triggered if there is no account in the body of the analysis | |
| aggregatorConfigs | object | Parameters | |
| temporaryCode | string | ||
| dataOrigin | string | Data origin Enum: | |
| projectId | string | In case there is more than one projectId in the identifier We create the analysis with this projectId We check that the projectId is included in the identifier | |
| organizationId | string | In case there is more than one organizationId in the identifier We create the analysis with this organizationId We check that the organizationId is included in the identifier | |
| sessionId | string | Id of the session to which the analysis is linked |
Created
| object | object | ||
| id | string | Id of the analysis | |
| customerId | string | Customer id to which the analysis is related | |
| sessionId | string | Session id to which the analysis is related | |
| folderId | string | Folder id to which the analysis is related. Set when the analysis is created from PDF bank statements. | |
| parameters5 fields | object | Parameters | |
| disableScores | boolean | If set to true, the scores will not be computed during the analysis. | |
| disableCreditInsights | boolean | If set to true, the credit insights will not be computed during the analysis. | |
| useBalanceDate | boolean | If set to true, the analysis will use the balance date as the base of the analysis window instead of the transaction date. | |
| launchReport | boolean | If set to true, the report will be launched at the end of the analysis. Otherwise, the report should be launched manually by calling the dedicated endpoint: POST /v2/customers/{customerId}/reports | |
| period6 fields | object | Analysis window parameters | |
| mode | string | The window / kind of period the analysis will be run on Enum: | |
| numberOfDays | number | The length of the window in days necessary in DAYS configuration | |
| numberOfMonths | number | The length of the window in months necessary in all MONTHS type configuration | |
| customWindowDateRange4 fields | object | Custom window date range necessary in CUSTOM_WINDOW configuration | |
| minDate | string | The start date of the custom window (inclusive) | |
| maxDate | string | The end date of the custom window (inclusive) | |
| minScoreDate | string | The minimum date for which a score is calculated (inclusive) | |
| maxScoreDate | string | The maximum date for which a score is calculated (inclusive) | |
| includeCheckingAccountsOnTruncateWindow | boolean | For the mode "MONTHS_TRUNCATED" only include only checking accounts transactions to truncate window if true | |
| isComputedUsingProjectConfig | boolean | If set to true, the analysis has been computed using the project configuration. This means that the analysis window has been defined according to the project configuration and not according to the parameters sent in the request. | |
| createdAt | date-time | Creation date of the analysis | |
| updatedAt | date-time | Last update date of the analysis | |
| error | object | Error | |
| code | string | ||
| message | string | ||
| source | string | Source Enum: | |
| dataOrigin | string | Data origin Enum: | |
| format | string | Original format of the open banking data Enum: | |
| status | string | Status Enum: |
Validation failed
Authentication required
Insufficient permissions
Not Found
Find an analysis by id
| businessId | string | id of the related customer | |
| analysisId | string | id of the analysis |
OK
| object | object | ||
| id | string | Id of the analysis | |
| customerId | string | Customer id to which the analysis is related | |
| sessionId | string | Session id to which the analysis is related | |
| folderId | string | Folder id to which the analysis is related. Set when the analysis is created from PDF bank statements. | |
| parameters5 fields | object | Parameters | |
| disableScores | boolean | If set to true, the scores will not be computed during the analysis. | |
| disableCreditInsights | boolean | If set to true, the credit insights will not be computed during the analysis. | |
| useBalanceDate | boolean | If set to true, the analysis will use the balance date as the base of the analysis window instead of the transaction date. | |
| launchReport | boolean | If set to true, the report will be launched at the end of the analysis. Otherwise, the report should be launched manually by calling the dedicated endpoint: POST /v2/customers/{customerId}/reports | |
| period6 fields | object | Analysis window parameters | |
| mode | string | The window / kind of period the analysis will be run on Enum: | |
| numberOfDays | number | The length of the window in days necessary in DAYS configuration | |
| numberOfMonths | number | The length of the window in months necessary in all MONTHS type configuration | |
| customWindowDateRange4 fields | object | Custom window date range necessary in CUSTOM_WINDOW configuration | |
| minDate | string | The start date of the custom window (inclusive) | |
| maxDate | string | The end date of the custom window (inclusive) | |
| minScoreDate | string | The minimum date for which a score is calculated (inclusive) | |
| maxScoreDate | string | The maximum date for which a score is calculated (inclusive) | |
| includeCheckingAccountsOnTruncateWindow | boolean | For the mode "MONTHS_TRUNCATED" only include only checking accounts transactions to truncate window if true | |
| isComputedUsingProjectConfig | boolean | If set to true, the analysis has been computed using the project configuration. This means that the analysis window has been defined according to the project configuration and not according to the parameters sent in the request. | |
| metadata18 fields | object | Metadata ObjectId | |
| id | string | Id of the metadata | |
| analysisId | string | analysis id to which the metadata is related | |
| numberOfCheckings | number | Number of "Checking" accounts | |
| numberOfSavings | number | Number of "Saving" accounts | |
| numberOfLoans | number | Number of "Loan" accounts | |
| numberOfConsumerLoans | number | Number of "Consumer Loan" accounts | |
| numberOfCreditCard | number | Number of "Credit Card" accounts | |
| creditInsights9 fields | object | Indicators about the Open Banking data used to compute the Credit Insights product | |
| lastTransactionGap | number | Number of days between the call to Score and Credit Insights and the last transaction | |
| historicalDepth | number | Number of days between the first and last transaction on the intersection of CHECKING accounts | |
| monthlyTransactionCount | number | Monthly mean number of transactions | |
| firstTransactionDate | string | Date of the oldest transaction | |
| calendar3 fields | array[object] | Number of days for each month | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| totalTransactionCount | number | Total number of analysed transactions | |
| minWindowDate | string | First date of the analysis window | |
| maxWindowDate | string | Last date of the analysis window | |
| numberOfDaysInWindow | number | Number of days of the window of transactions used to compute the product | |
| creditScore9 fields | object | Indicators about the Open Banking data used to compute the Credit Score product | |
| lastTransactionGap | number | Number of days between the call to Score and Credit Insights and the last transaction | |
| historicalDepth | number | Number of days between the first and last transaction on the intersection of CHECKING accounts | |
| monthlyTransactionCount | number | Monthly mean number of transactions | |
| firstTransactionDate | string | Date of the oldest transaction | |
| calendar3 fields | array[object] | Number of days for each month | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| totalTransactionCount | number | Total number of analysed transactions | |
| minWindowDate | string | First date of the analysis window | |
| maxWindowDate | string | Last date of the analysis window | |
| numberOfDaysInWindow | number | Number of days of the window of transactions used to compute the product | |
| paymentScore9 fields | object | Indicators about the Open Banking data used to compute the Payment Score product | |
| lastTransactionGap | number | Number of days between the call to Score and Credit Insights and the last transaction | |
| historicalDepth | number | Number of days between the first and last transaction on the intersection of CHECKING accounts | |
| monthlyTransactionCount | number | Monthly mean number of transactions | |
| firstTransactionDate | string | Date of the oldest transaction | |
| calendar3 fields | array[object] | Number of days for each month | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| totalTransactionCount | number | Total number of analysed transactions | |
| minWindowDate | string | First date of the analysis window | |
| maxWindowDate | string | Last date of the analysis window | |
| numberOfDaysInWindow | number | Number of days of the window of transactions used to compute the product | |
| lastTransactionGap | number | Number of days between the call to Score and Credit Insights and the last transaction Deprecated | |
| historicalDepth | number | Number of days between the first and last transaction on the intersection of CHECKING accounts Deprecated | |
| monthlyTransactionCount | number | Monthly mean number of transactions Deprecated | |
| firstTransactionDate | string | Date of the oldest transaction Deprecated | |
| calendar3 fields | array[object] | Number of days for each month Deprecated | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| totalTransactionCount | number | Total number of analysed transactions Deprecated | |
| referenceDate | string | Reference date of the analysis | |
| activityScore4 fields | object | A score measuring the activity of all aggregated accounts of a bank user. This score might be used to filter out users who are not active enough or to indicate that we probably don't have access to the main account. | |
| value | number | Grade between 1 and 100, from the less active account to the most active one. | |
| activityLevel | string | Appreciation on the accounts activity. There is three modalities LOW (1-19), MEDIUM(10-49) and GOOD(50-100). We don't store this for the moment Enum: | |
| numberOfDaysInWindow | number | Number of days | |
| calendar3 fields | array[object] | Number of days for each month | |
| month | string | Calendar month of the transaction | |
| amount | number | Amount, negative if expense, positive if income. | |
| nbDays | number | Number of days of the month covered in the banking history. | |
| creditInsights | Credit Insights ObjectId | ||
| object | object | ||
| id | string | Id of the score | |
| analysisId | string | Analysis id to which the credit insights is related | |
| createdAt | string | Creation date of the credit insights | |
| updatedAt | string | Last update date | |
| usage | string | Indicates usage type of the credit insights, either for consumer or business credit insights. Enum: | |
| version | string | Credit insight version | |
| scores | Score ObjectId | ||
| object | object | ||
| id | string | Id of the score | |
| analysisId | string | Analysis id to which the score is related | |
| createdAt | Creation date of the score | ||
| string | string | ||
| updatedAt | Last update date | ||
| string | string | ||
| usage | string | Indicates usage type of the score, either for consumer or business score. Enum: | |
| source | string | Source Enum: | |
| dataOrigin | string | Data origin Enum: | |
| format | string | Original format of the open banking data Enum: | |
| status | string | Status Enum: | |
| error | object | Error | |
| code | string | ||
| message | string | ||
| accounts23 fields | array[object] | List of account used to obtain the analysis | |
| id | string | The account unique identifier | |
| balance | number | Last known account balance | |
| balanceDate | string | Date of the last known account balance | |
| currency | string | Account's currency | |
| type | string | Account's type Enum: | |
| usage | string | Purpose of the account Enum: | |
| ownership | string | Relationship between the owner and the account. Enum: | |
| owners | array[object] | Owners of the account | |
| name | string | Name of the owner of the account | |
| iban | string | ||
| bic | string | BIC (Business Identifier Code) of the account's bank | |
| name | string | Name the account taken from the bank's website | |
| bank4 fields | object | Properties computed by Algoan | |
| id | string | Id of the account - aggregator unique identifier | |
| logoUrl | string | URL of the logo of the account's bank | |
| name | string | Name of the account's bank | |
| country | string | Code of the country of the account's bank | |
| country | string | Code of the country of the account | |
| coming | number | Amount of coming operations (not yet debited) | |
| details2 fields | object | Details of the account | |
| savings4 fields | object | Details specific about a saving account | |
| type | string | Saving account's type Enum: | |
| openedAt | string | Opening date of the saving account | |
| maximumAmount | number | Maximum amount authorized for the saving account | |
| interestRate | number | Interest rate of the saving account | |
| loan9 fields | object | Details specific to a loan account | |
| type | string | Loan's type Enum: | |
| amount | number | Amount of the loan | |
| startDate | string | Loan's start date | |
| endDate | string | Loan's end date | |
| duration | number | Number of months the loan will take | |
| insuranceLabel | string | Label of the insurance | |
| payment | number | Monthly amount debited to repay the loan if it is amortizable | |
| remainingCapital | number | Remaining amount of the capital still to repay | |
| interestRate | number | Interest rate of the loan | |
| aggregator3 fields | object | Information set by the aggregator | |
| id | string | Id of the transaction/account on the aggregator | |
| type | string | ||
| category | string | ||
| transactions13 fields | array[object] | Account's transaction list | |
| id | string | ID of the transaction | |
| accountId | string | Id of the account linked to the transaction on Algoan | |
| dates | object | Dates associated with the transaction | |
| debitedAt | string | Debit date as seen on the bank statement | |
| bookedAt | string | Realization date of the transaction | |
| description | string | Description of the transaction taken from the banks's website | |
| amount | number | Transaction's amount (negative if debit) | |
| currency | string | Transaction's currency | |
| enrichments8 fields | object | Properties computed by Algoan | |
| category | Category of the transaction | ||
| string | string | Enum: | |
| type | string | Nature of the transaction Enum: | |
| isRejected | boolean | Indicates if the transaction has been rejected or not. Deprecated | |
| counterPartId | string | Id of the counterpart if the transaction is or has been rejected. Deprecated | |
| relatedTransactions11 fields | object | List of identifiers related to this transaction. | |
| retryOf | string | Id corresponding to the transaction retried by this transaction Flexible link | |
| retriedOn | string | Id of the transaction corresponding to the retry of this transaction Flexible link | |
| rejectionOf | string | Id of the rejected transaction corresponding to this transaction Robust link | |
| rejectedOn | string | Id of the transaction corresponding to the rejection of this one Robust link | |
| transferOf | string | Id of the transferred transaction Robust link | |
| transferedOn | string | Id of the transaction corresponding to the transfer of this one Robust link Deprecated | |
| transferredOn | string | Id of the transaction corresponding to the transfer of this one Robust link | |
| resetOf | string | Id of the reset transaction Robust link | |
| resetOn | string | Id of the transaction this transaction is reset on Robust link | |
| refundOf | string | Id of the transaction that is going to be refunded Robust link | |
| refundedOn | string | Id of the refunded of the transaction Robust link | |
| groupId | string | Group id of the transaction Deprecated | |
| descriptionGroupId | string | Description of the transaction group id Deprecated | |
| isInternationalTransfer | boolean | Indicates if the transaction is international or not | |
| isComing | boolean | Indicates if the transaction will be debited in the future or not. | |
| aggregator3 fields | object | Information set by the aggregator | |
| id | string | Id of the transaction/account on the aggregator | |
| type | string | ||
| category | string | ||
| comment | string | Comment on the transaction | |
| isNonAnalysed | boolean | Indicates if the transaction is non analysed in the case of the full months analysis configuration | |
| createdAt | date-time | Creation date of the transaction in Algoan's database | |
| updatedAt | date-time | Last update date of the transaction in Algoan's database | |
| isMerged | boolean | Information about whether or not an account has been merged | |
| number | string | Account's number | |
| relatedAccountIds | array[string] | Account's related accounts | |
| isComputed | boolean | Whether the account has been used to compute the analysis | |
| createdAt | date-time | Creation date on Algoan side | |
| updatedAt | date-time | Last update date on Algoan side | |
| createdAt | date-time | Creation date of the analysis | |
| updatedAt | date-time | Last update date of the analysis | |
| dailyBalances | array[object] | Analysis's daily balances | |
| date | string | Date of the balance | |
| balance | number | Account balance for the specific date |
Authentication required
Insufficient permissions
Not Found
Update analysis: add the accounts and trigger analysis computation
| businessId | string | id of the related business | |
| analysisId | string | id of the analysis to update |
analysis updates
| object | object | ||
| accounts | Accounts Exists if the format is ALGOAN, Tink V2 or empty | ||
| array | array[object] | ||
| balance | number | Last known account balance | |
| balanceDate | string | Date of the last known account balance | |
| currency | string | Account's currency | |
| type | string | Account's type Enum: | |
| usage | string | Purpose of the account Enum: | |
| ownership | string | Relationship between the owner and the account Enum: | |
| owners | array[object] | Owners of the account | |
| name | string | Name of the owner of the account | |
| iban | string | ||
| bic | string | BIC (Business Identifier Code) of the account's bank | |
| name | string | Name the account taken from the bank's website | |
| bank4 fields | object | Properties computed by Algoan | |
| id | string | Id of the account - aggregator unique identifier | |
| logoUrl | string | URL of the logo of the account's bank | |
| name | string | Name of the account's bank | |
| country | string | Code of the country of the account's bank | |
| country | string | Code of the country of the account | |
| coming | number | Amount of coming operations (not yet debited) | |
| details2 fields | object | Details of the account | |
| savings4 fields | object | Details specific about a saving account | |
| type | string | Saving account's type Enum: | |
| openedAt | string | Opening date of the saving account | |
| maximumAmount | number | Maximum amount authorized for the saving account | |
| interestRate | number | Interest rate of the saving account | |
| loan9 fields | object | Details specific to a loan account | |
| type | string | Loan's type Enum: | |
| amount | number | Amount of the loan | |
| startDate | string | Loan's start date | |
| endDate | string | Loan's end date | |
| duration | number | Number of months the loan will take | |
| insuranceLabel | string | Label of the insurance | |
| payment | number | Monthly amount debited to repay the loan if it is amortizable | |
| remainingCapital | number | Remaining amount of the capital still to repay | |
| interestRate | number | Interest rate of the loan | |
| aggregator3 fields | object | Information set by the aggregator | |
| id | string | Id of the transaction/account on the aggregator | |
| type | string | ||
| category | string | ||
| transactions11 fields | array[object] | Account's transactions list | |
| id | string | Id of the transaction | |
| accountId | string | Id of the account linked to the transaction on Algoan | |
| dates | object | Dates associated with the transaction | |
| debitedAt | string | Debit date as seen on the bank statement | |
| bookedAt | string | Realization date of the transaction | |
| description | string | Description of the transaction taken from the banks's website | |
| amount | number | Transaction's amount (negative if debit) | |
| currency | string | Transaction's currency | |
| enrichments8 fields | object | Properties computed by Algoan | |
| category | Category of the transaction | ||
| string | string | Enum: | |
| type | string | Nature of the transaction Enum: | |
| isRejected | boolean | Indicates if the transaction has been rejected or not. Deprecated | |
| counterPartId | string | Id of the counterpart if the transaction is or has been rejected. Deprecated | |
| relatedTransactions11 fields | object | List of identifiers related to this transaction. | |
| retryOf | string | Id corresponding to the transaction retried by this transaction Flexible link | |
| retriedOn | string | Id of the transaction corresponding to the retry of this transaction Flexible link | |
| rejectionOf | string | Id of the rejected transaction corresponding to this transaction Robust link | |
| rejectedOn | string | Id of the transaction corresponding to the rejection of this one Robust link | |
| transferOf | string | Id of the transferred transaction Robust link | |
| transferedOn | string | Id of the transaction corresponding to the transfer of this one Robust link Deprecated | |
| transferredOn | string | Id of the transaction corresponding to the transfer of this one Robust link | |
| resetOf | string | Id of the reset transaction Robust link | |
| resetOn | string | Id of the transaction this transaction is reset on Robust link | |
| refundOf | string | Id of the transaction that is going to be refunded Robust link | |
| refundedOn | string | Id of the refunded of the transaction Robust link | |
| groupId | string | Group id of the transaction Deprecated | |
| descriptionGroupId | string | Description of the transaction group id Deprecated | |
| isInternationalTransfer | boolean | Indicates if the transaction is international or not | |
| isComing | boolean | Indicates if the transaction will be debited in the future or not. | |
| aggregator3 fields | object | Information set by the aggregator | |
| id | string | Id of the transaction/account on the aggregator | |
| type | string | ||
| category | string | ||
| comment | string | Comment on the transaction | |
| isNonAnalysed | boolean | Indicates if the transaction is non analysed in the case of the full months analysis configuration | |
| dailyBalances | array[object] | Account's daily balances | |
| date | string | Date of the balance | |
| balance | number | Account balance for the specific date | |
| isComputed | boolean | Whether the account will be used to compute the analysis | |
| number | string | Account's number | |
| connections | Budget Insight or Oxlin connections Exists if the format is BUDGET_INSIGHT_V2_0, or OXLIN_DIRECT_ACCOUNT_API or OXLIN_DIRECT_ACCOUNT_API_NEW | ||
| array | array | ||
| connection | string | Discriminator field filled by mongoose Enum: | |
| id | number | ||
| id | number | ||
| id | number | ||
| id | number | ||
| id | number | ||
| last | string | ||
| state | string | Enum: | |
| active | boolean | ||
| created | string | ||
| next | string | ||
| error | string | ||
| last | string | ||
| expire | string | ||
| connector | string | ||
| connector15 fields | object | ||
| id | number | ||
| uuid | string | ||
| name | string | ||
| hidden | boolean | ||
| charged | boolean | ||
| code | string | ||
| beta | boolean | ||
| color | string | ||
| slug | string | ||
| sync | number | ||
| months | number | ||
| auth | string | ||
| transfer | string | ||
| siret | string | ||
| logoUrl | string | ||
| accounts28 fields | array[object] | ||
| id | number | ||
| id | number | ||
| id | number | ||
| id | number | ||
| id | number | ||
| number | string | ||
| webid | string | ||
| original | string | ||
| coming | number | ||
| bookmarked | number | ||
| display | boolean | ||
| deleted | string | ||
| currency4 fields | object | ||
| id | string | ||
| name | string | ||
| symbol | string | ||
| precision | number | ||
| balance | number | ||
| error | string | ||
| name | string | ||
| last | string | ||
| type | string | Enum: | |
| id | number | ||
| iban | string | ||
| bic | string | ||
| loan19 fields | object | ||
| duration | number | ||
| insurance | string | ||
| total | number | ||
| available | number | ||
| used | number | ||
| id | number | ||
| id | number | ||
| maturity | string | ||
| rate | number | ||
| next | number | ||
| nb | number | ||
| nb | number | ||
| nb | number | ||
| last | number | ||
| next | string | ||
| last | string | ||
| subscription | string | ||
| type | string | Enum: | |
| account | string | ||
| usage | string | Enum: | |
| disabled | string | ||
| company | string | ||
| transactions37 fields | array[object] | ||
| id | number | ||
| id | number | ||
| application | string | ||
| date | string | ||
| dateTime | string | ||
| rdate | string | ||
| vdate | string | ||
| vdatetime | string | ||
| bdate | string | ||
| bdatetime | string | ||
| rdatetime | string | ||
| simplified | string | ||
| stemmed | string | ||
| formatted | string | ||
| state | string | ||
| value | number | ||
| gross | number | ||
| card | string | ||
| wording | string | ||
| original | string | ||
| type | string | ||
| id | number | ||
| original | object | ||
| id | string | ||
| name | string | ||
| symbol | string | ||
| precision | number | ||
| coming | boolean | ||
| active | boolean | ||
| category7 fields | object | ||
| id | number | ||
| id | number | ||
| name | string | ||
| color | string | ||
| income | boolean | ||
| refundable | boolean | ||
| id | number | ||
| date | string | ||
| last | string | ||
| deleted | string | ||
| id | number | ||
| commission | number | ||
| original | number | ||
| original | number | ||
| comment | string | ||
| commission | object | ||
| id | string | ||
| name | string | ||
| symbol | string | ||
| precision | number | ||
| country | string | ||
| webid | string | ||
| ownership | string | Enum: | |
| opening | string | ||
| information1 field | object | ||
| owner12 fields | object | ||
| name | string | ||
| first | string | ||
| last | string | ||
| company | string | ||
| job | string | ||
| job | string | ||
| socioprofessional | string | ||
| family | string | ||
| housing | string | ||
| phone | string | ||
| string | |||
| postal | object | ||
| full | string | ||
| accountOwnerships | Budget Insight or Powens account ownerships | ||
| array | array[object] | ||
| id | number | ID of the related account | |
| id | number | ID of the related connection | |
| id | number | ID of the related user | |
| id | number | ID of the related connector source | |
| name | string | Name of the bank account | |
| usage | string | Usage of the bank account Enum: | |
| parties2 fields | array[object] | List of account parties | |
| role | string | Role of the party string Enum: | |
| identity | object | Identity of the party object | |
| is | boolean | Whether this account party represents the PSU, holder of the connection. It is null when it is not possible to verify this relation | |
| full | string | Full name of the account party | |
| identifications | array[object] | List of account identifications | |
| scheme | string | Name of the account scheme type Enum: | |
| identification | string | Identification number of the account | |
| format | string | Original format of the open banking data Enum: | |
| status | string | Status Enum: | |
| error | object | Error | |
| code | string | ||
| message | string | ||
| trigger | boolean | Trigger the analysis If set to false, the call will only update the accounts You will need to call the route POST /analysis/{analysisId}/trigger to trigger the analysis afterwards |
OK
| object | object | ||
| id | string | Id of the analysis | |
| customerId | string | Customer id to which the analysis is related | |
| sessionId | string | Session id to which the analysis is related | |
| folderId | string | Folder id to which the analysis is related. Set when the analysis is created from PDF bank statements. | |
| parameters5 fields | object | Parameters | |
| disableScores | boolean | If set to true, the scores will not be computed during the analysis. | |
| disableCreditInsights | boolean | If set to true, the credit insights will not be computed during the analysis. | |
| useBalanceDate | boolean | If set to true, the analysis will use the balance date as the base of the analysis window instead of the transaction date. | |
| launchReport | boolean | If set to true, the report will be launched at the end of the analysis. Otherwise, the report should be launched manually by calling the dedicated endpoint: POST /v2/customers/{customerId}/reports | |
| period6 fields | object | Analysis window parameters | |
| mode | string | The window / kind of period the analysis will be run on Enum: | |
| numberOfDays | number | The length of the window in days necessary in DAYS configuration | |
| numberOfMonths | number | The length of the window in months necessary in all MONTHS type configuration | |
| customWindowDateRange4 fields | object | Custom window date range necessary in CUSTOM_WINDOW configuration | |
| minDate | string | The start date of the custom window (inclusive) | |
| maxDate | string | The end date of the custom window (inclusive) | |
| minScoreDate | string | The minimum date for which a score is calculated (inclusive) | |
| maxScoreDate | string | The maximum date for which a score is calculated (inclusive) | |
| includeCheckingAccountsOnTruncateWindow | boolean | For the mode "MONTHS_TRUNCATED" only include only checking accounts transactions to truncate window if true | |
| isComputedUsingProjectConfig | boolean | If set to true, the analysis has been computed using the project configuration. This means that the analysis window has been defined according to the project configuration and not according to the parameters sent in the request. | |
| createdAt | date-time | Creation date of the analysis | |
| updatedAt | date-time | Last update date of the analysis | |
| error | object | Error | |
| code | string | ||
| message | string | ||
| source | string | Source Enum: | |
| dataOrigin | string | Data origin Enum: | |
| format | string | Original format of the open banking data Enum: | |
| status | string | Status Enum: |
Validation failed
Authentication required
Insufficient permissions
Not Found
Find daily balances linked to an analysis
| businessId | string | id of the related business | |
| analysisId | string | id of the analysis |
OK
| object | object | ||
| resources | array[object] | ||
| date | string | Date of the balance | |
| balance | number | Account balance for the specific date | |
| pagination6 fields | object | ||
| next | string | ||
| previous | string | ||
| first | string | ||
| last | string | ||
| totalPages | number | ||
| totalResources | number |
Bad request if the analysis is not completed
Authentication required
Insufficient permissions
Not Found
Trigger analysis computation
| businessId | string | id of the related business | |
| analysisId | string | id of the analysis to update |
parameters to update
| object | object | ||
| disableScores | boolean | Disable scores generation during the analysis | |
| disableCreditInsights | boolean | Disable credit insights generation during the analysis |
Created
| object | object | ||
| id | string | Id of the analysis | |
| customerId | string | Customer id to which the analysis is related | |
| sessionId | string | Session id to which the analysis is related | |
| folderId | string | Folder id to which the analysis is related. Set when the analysis is created from PDF bank statements. | |
| parameters5 fields | object | Parameters | |
| disableScores | boolean | If set to true, the scores will not be computed during the analysis. | |
| disableCreditInsights | boolean | If set to true, the credit insights will not be computed during the analysis. | |
| useBalanceDate | boolean | If set to true, the analysis will use the balance date as the base of the analysis window instead of the transaction date. | |
| launchReport | boolean | If set to true, the report will be launched at the end of the analysis. Otherwise, the report should be launched manually by calling the dedicated endpoint: POST /v2/customers/{customerId}/reports | |
| period6 fields | object | Analysis window parameters | |
| mode | string | The window / kind of period the analysis will be run on Enum: | |
| numberOfDays | number | The length of the window in days necessary in DAYS configuration | |
| numberOfMonths | number | The length of the window in months necessary in all MONTHS type configuration | |
| customWindowDateRange4 fields | object | Custom window date range necessary in CUSTOM_WINDOW configuration | |
| minDate | string | The start date of the custom window (inclusive) | |
| maxDate | string | The end date of the custom window (inclusive) | |
| minScoreDate | string | The minimum date for which a score is calculated (inclusive) | |
| maxScoreDate | string | The maximum date for which a score is calculated (inclusive) | |
| includeCheckingAccountsOnTruncateWindow | boolean | For the mode "MONTHS_TRUNCATED" only include only checking accounts transactions to truncate window if true | |
| isComputedUsingProjectConfig | boolean | If set to true, the analysis has been computed using the project configuration. This means that the analysis window has been defined according to the project configuration and not according to the parameters sent in the request. | |
| createdAt | date-time | Creation date of the analysis | |
| updatedAt | date-time | Last update date of the analysis | |
| error | object | Error | |
| code | string | ||
| message | string | ||
| source | string | Source Enum: | |
| dataOrigin | string | Data origin Enum: | |
| format | string | Original format of the open banking data Enum: | |
| status | string | Status Enum: |
Validation failed
Authentication required
Insufficient permissions
Not Found
Score
Score attached to the analysis
Find an analysis by id and return only scores
| businessId | string | id of the related customer | |
| analysisId | string | id of the analysis |
OK
| object | object | ||
| id | string | Id of the score | |
| analysisId | string | Analysis id to which the score is related | |
| createdAt | Creation date of the score | ||
| string | string | ||
| updatedAt | Last update date | ||
| string | string | ||
| usage | string | Indicates usage type of the score, either for consumer or business score. Enum: | |
| businessCreditScore4 fields | object | Twelve month default score | |
| version | string | Score's version | |
| value | number | Between 0 and 1000. 0 is risky, 1000 is safe. | |
| indicators3 fields | object | Business credit score indicators | |
| cashFlowManagement | number | Cash flow management indicator | |
| financialStability | number | Financial stability indicator | |
| businessManagement | number | Business management indicator | |
| monitoring6 fields | object | Business credit score monitoring data | |
| regularExpensesCount | number | ||
| maxEvolution | number | ||
| last90dDaysAbove5000 | number | Number of days with the 90 last with balance above 5000 | |
| urssafAmount | number | ||
| taxAmount | number | ||
| countRisky | number |
Authentication required
Insufficient permissions
Not Found
Account
Bank accounts attached to a customer
Find all accounts linked to an analysis
| businessId | string | id of the related business | |
| analysisId | string | id of the analysis |
| includeNotComputed | boolean |
OK
| object | object | ||
| resources22 fields | array[object] | ||
| id | string | The account unique identifier | |
| balance | number | Last known account balance | |
| balanceDate | string | Date of the last known account balance | |
| currency | string | Account's currency | |
| type | string | Account's type Enum: | |
| usage | string | Purpose of the account Enum: | |
| ownership | string | Relationship between the owner and the account. Enum: | |
| owners | array[object] | Owners of the account | |
| name | string | Name of the owner of the account | |
| iban | string | ||
| bic | string | BIC (Business Identifier Code) of the account's bank | |
| name | string | Name the account taken from the bank's website | |
| bank4 fields | object | Properties computed by Algoan | |
[...]
